<?php
class Xca_model extends CI_Model{
	public function __construct(){
		parent::__construct();
	}

	public function listar($desde,$hasta,$xco=0,$xpl=0){
		$where 	= ($xco>0)?" AND programacion.con_id = $xco":"";
		$where .= ($xpl>0)?" AND programacion.pers_id = $xpl":"";
		$query 	= "	SELECT
						cita.cit_id,
						cita.cit_fecha,
						cita.cit_fecha_reg,
						cita.cit_hora_reg,
						cita.cit_usuario_reg,
						cita.cit_fecha_elim,
						cita.cit_hora_elim,
						cita.cit_usuario_elim,
						cita.cit_estado,
						cita.cit_atendido,
						cita.hc_id,
						cita.prog_id,
						hc.hc_apellidos,
						hc.hc_nombres,
						hc.hc_apenombres,
						hc.hc_dni,
						hc.hc_fecha_nac,
						programacion.con_id,
						programacion.pers_id,
						consultorio.con_descripcion,
						personal.pers_apenombres,
						atencion.ate_id
					FROM
						cita
					INNER JOIN hc ON cita.hc_id = hc.hc_id
					INNER JOIN programacion ON cita.prog_id = programacion.prog_id
					INNER JOIN personal ON programacion.pers_id = personal.pers_id
					INNER JOIN consultorio ON programacion.con_id = consultorio.con_id
					LEFT JOIN atencion ON cita.cit_id = atencion.cit_id
					WHERE cita.cit_estado = 0 AND cita.cit_fecha BETWEEN '$desde' AND '$hasta' {$where}
					ORDER BY cita.cit_fecha ASC";
		return 	$this->db->query($query);
	}

	public function ver($id){
		$query 	= "	SELECT
						cita.cit_id,
						cita.cit_fecha,
						cita.cit_fecha_reg,
						cita.cit_hora_reg,
						cita.cit_usuario_reg,
						cita.cit_fecha_elim,
						cita.cit_hora_elim,
						cita.cit_usuario_elim,
						cita.cit_estado,
						cita.cit_atendido,
						cita.hc_id,
						cita.prog_id,
						hc.hc_apellidos,
						hc.hc_nombres,
						hc.hc_apenombres,
						hc.hc_dni,
						hc.hc_fecha_nac,
						hc.hc_talla,
						hc.hc_peso,
						hc.hc_imc,
						hc.hc_pabdominal,
						programacion.con_id,
						programacion.pers_id,
						consultorio.con_descripcion,
						personal.pers_apenombres,
						atencion.ate_id
					FROM
						cita
					INNER JOIN hc ON cita.hc_id = hc.hc_id
					INNER JOIN programacion ON cita.prog_id = programacion.prog_id
					INNER JOIN personal ON programacion.pers_id = personal.pers_id
					INNER JOIN consultorio ON programacion.con_id = consultorio.con_id
					LEFT JOIN atencion ON cita.cit_id = atencion.cit_id
					WHERE cita.cit_id = $id";
		$query 	= $this->db->query($query);
		return 	$query->row();
	}

	public function validar($fecha, $xpn, $xhc){
		$query 	= "	SELECT cit_id FROM cita
					WHERE cit_estado = 0 AND prog_id = $xpn AND hc_id = $xhc AND cit_fecha = '$fecha'";
		$query 	= $this->db->query($query);
		return 	$query->row();
	}

	public function insertar($data){
		$this->db->insert('cita', $data);
	}

	public function editar($id, $data){
		$this->db->where('cit_id', $id);
		$this->db->update('cita', $data);
	}
}